
// main.cpp

// includes

#include <cstdio>
#include <cstdlib>

#include "attack.h"
#include "book.h"
#include "hash.h"
#include "move_do.h"
#include "option.h"
#include "pawn.h"
#include "piece.h"
#include "protocol.h"
#include "random.h"
#include "square.h"
#include "trans.h"
#include "util.h"
#include "value.h"
#include "vector.h"
//EGBB #include "probe.h"

//EGBB static char * egbb_path = "c:/egbb/";
//EGBB static uint32 egbb_cache_size = 16;

// functions

// main()

int main(int argc, char * argv[]) {

   // init

   util_init();
   my_random_init(); // for opening book

   printf("Toga Returns 1.1 JA by Tennison\n");
   printf("                 based on Fruit 2.1 by Fabien Letouzey\n");
   printf("                          Toga II 1.3.4 by Shaun Brewer\n");
   printf("                          Toga II 1.4beta5c by Thomas Gaksch\n");
   printf("                          Toga II 1.4.1SE by T.Gaksch & Chris Formula\n");
   printf("                          Toga II 2.02 by Jerry Donald\n\n");

   printf("Thanks a lot too to Michel van den Bergh, Dieter Eberle, Denis Mendoza, Alessandro Scotti, Tord Romstad and much more.\n");

   // early initialisation (the rest is done after UCI options are parsed in protocol.cpp)

   option_init();

   square_init();
   piece_init();
   pawn_init_bit();
   value_init();
   vector_init();
   attack_init();
   move_do_init();

   random_init();
   hash_init();

   trans_init(Trans);
   book_init();

//EGBB    egbb_cache_size = (egbb_cache_size * 1024 * 1024);
//EGBB    egbb_is_loaded = LoadEgbbLibrary(egbb_path,egbb_cache_size);
//EGBB    if (!egbb_is_loaded)
//EGBB 		printf("EgbbProbe not Loaded!\n");

   // loop

   loop();

   return EXIT_SUCCESS;
}

// end of main.cpp

